=== images/themes/CMakeLists.txt ===

SUBDIRS (default nkids classic gis)
