=== src/helpviewer/CMakeLists.txt ===

########################################################
# Files

SET (HELP_SRCS
     main.cpp
     qgshelpserver.cpp
     qgshelpviewer.cpp
     #../core/qgsapplication.cpp
     #../core/qgslogger.cpp
)

SET (HELP_UIS qgshelpviewerbase.ui)

SET (HELP_MOC_HDRS
     qgshelpserver.h
     qgshelpviewer.h
)

#SET (HELP_RCCS  qgsgps_plugin.qrc)


########################################################
# Build

QT4_WRAP_UI (HELP_UIS_H  ${HELP_UIS})

QT4_WRAP_CPP (HELP_MOC_SRCS  ${HELP_MOC_HDRS})

#QT4_ADD_RESOURCES(HELP_RCC_SRCS ${HELP_RCCS})

ADD_EXECUTABLE (qgis_help MACOSX_BUNDLE ${HELP_SRCS} ${HELP_MOC_SRCS} ${HELP_UIS_H})

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}
     ${CMAKE_CURRENT_SOURCE_DIR}/../core
     ${CMAKE_CURRENT_BINARY_DIR}
)

IF (WITH_INTERNAL_SPATIALITE)
  INCLUDE_DIRECTORIES(../core/spatialite/headers/spatialite)
ELSE (WITH_INTERNAL_SPATIALITE)
  INCLUDE_DIRECTORIES(${SQLITE3_INCLUDE_DIR})
ENDIF (WITH_INTERNAL_SPATIALITE)

TARGET_LINK_LIBRARIES(qgis_help qgis_core)

IF (NOT WITH_INTERNAL_SPATIALITE)
  TARGET_LINK_LIBRARIES(qgis_help ${SQLITE3_LIBRARY})
ENDIF (NOT WITH_INTERNAL_SPATIALITE)

IF (${QTVERSION} STRLESS "4.3.0")
  TARGET_LINK_LIBRARIES(qgis_help
    ${QT_LIBRARIES} 
    )
ELSE (${QTVERSION} STRLESS "4.3.0")
  TARGET_LINK_LIBRARIES(qgis_help
  ${QT_QTCORE_LIBRARY} 
  ${QT_QTGUI_LIBRARY} 
  ${QT_QTNETWORK_LIBRARY} 
  ${QT_QTSVG_LIBRARY} 
  ${QT_QTXML_LIBRARY} 
    )
ENDIF (${QTVERSION} STRLESS "4.3.0")


########################################################
# Install

IF (APPLE AND NOT ${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} STRLESS "2.6")
  INSTALL (TARGETS qgis_help BUNDLE DESTINATION ${QGIS_BIN_DIR})
ELSE (APPLE AND NOT ${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} STRLESS "2.6")
  INSTALL (TARGETS qgis_help RUNTIME DESTINATION ${QGIS_BIN_DIR})
ENDIF (APPLE AND NOT ${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} STRLESS "2.6")
