=== debian/changelog ===
qgis (1.3.0) UNRELEASED; urgency=low

  * new development version after 1.2 branch
  * add analysis library and raster terrain analysis plugin
  * alternativly depend on libgdal1-1.6.0-grass
  * include CONTRIBUTORS, TRANSLATORS and DONORS
  * reverse order of libgdal1-*-grass dependencies

 -- Jürgen E. Fischer <jef@norbit.de>  Sat, 12 Sep 2009 22:09:18 +0200

qgis (1.2.0) UNRELEASED; urgency=low

  * new development version after 1.1 branch
  * add new build dependency to pyqt4-dev-tools
  * update SONAMEs to 1.2.0
  * add python dependency to qgis-plugin-grass-common
  * include osm provider and evis plugin

 -- Jürgen E. Fischer <jef@norbit.de>  Tue, 18 Aug 2009 08:20:18 +0200

qgis (1.1.0-5) UNRELEASED; urgency=low

  * rename {qgis,qgis_help}.man to {qgis,qgis_help}.1

 -- Jürgen E. Fischer <jef@norbit.de>  Tue, 21 Apr 2009 22:09:33 +0200

qgis (1.1.0-4) UNRELEASED; urgency=low

  * include oracle plugin

 -- Jürgen E. Fischer <jef@norbit.de>  Wed, 15 Apr 2009 22:32:27 +0200

qgis (1.1.0-3) UNRELEASED; urgency=low

  * include diagram overlays 

 -- Jürgen E. Fischer <jef@norbit.de>  Wed, 08 Apr 2009 16:30:57 +0200

qgis (1.1.0-2) UNRELEASED; urgency=low

  * change package names to reflect ABI (changes SONAME)

 -- Jürgen E. Fischer <jef@norbit.de>  Sun, 05 Apr 2009 12:34:38 +0200

qgis (1.1.0-1) UNRELEASED; urgency=low

  * allow build with GRASS 6.4rc3

 -- Jürgen E. Fischer <jef@norbit.de>  Mon, 02 Mar 2009 21:06:07 +0100

qgis (1.1.0) UNRELEASED; urgency=low

  * gridmaker plugin removed from package
  * updated mime support
  * sync with debian-gis debian/ tree
    - introduce arch-independant qgis-common and
      qgis-plugin-grass-common
    - policy updated to 3.8.0
    - join libqgis1-core and libqgis1-gui to libqgis1
    - add debian/watch
    - dh_lintian overrides
    - fix qgis.desktop
    - fix license reference in copyright
  * introduce arch-independant python-qgis-common
  * added sharedmimeinfo
  * remove dpatch

 -- Jürgen E. Fischer <jef@norbit.de>  Fri, 13 Feb 2009 22:03:25 +0100

qgis (1.0.0) experimental; urgency=low
 
  * new upstream release
  * update qgis.mime
  * add qgis.desktop and qgis.xml 
  * add mime types for KDE
  * don't ignore errors in preinst and postrm
  * run ldconfig in postrm

 -- Jürgen E. Fischer <jef@norbit.de>  Tue, 23 Dec 2008 20:42:21 +0100

qgis (1.0preview18) experimental; urgency=low

  * add suggestion for gpsbabel

 -- Jürgen E. Fischer <jef@norbit.de>  Sat, 20 Dec 2008 19:08:34 +0100

qgis (1.0preview17) experimental; urgency=low

  * include quickprint and coordinate capture plugin

 -- Jürgen E. Fischer <jef@norbit.de>  Wed, 12 Nov 2008 12:57:46 +0100

qgis (1.0preview16) experimental; urgency=low

  * new upstream preview release (1.0preview2).
  * introduce conflict with uim-qt3 (fixes GUI issues on Ubuntu intrepid)

 -- Jürgen E. Fischer <jef@norbit.de>  Sat, 08 Nov 2008 12:10:21 +0100

qgis (1.0preview7) experimental; urgency=low

  * remove quickprint plugin

 -- Jürgen E. Fischer <jef@norbit.de>  Mon, 01 Sep 2008 21:58:58 +0200

qgis (1.0preview6) experimental; urgency=low

  * add missing dependency of python-qgis to python-qt4

 -- Jürgen E. Fischer <jef@norbit.de>  Fri, 29 Aug 2008 17:26:33 +0200

qgis (1.0preview5) experimental; urgency=low

  * add wrapper scripts to qgis-plugin-grass that adds the grass
    shared libraries to LD_LIBRARY_PATH.

 -- Jürgen E. Fischer <jef@norbit.de>  Fri, 29 Aug 2008 00:19:05 +0200

qgis (1.0preview4) experimental; urgency=low

  * add ogr converter plugin

 -- Jürgen E. Fischer <jef@norbit.de>  Wed, 27 Aug 2008 17:48:32 +0200

qgis (1.0preview3) experimental; urgency=low

  * build in pedantic mode
  * add interpolation plugin

 -- Jürgen E. Fischer <jef@norbit.de>  Sat, 23 Aug 2008 15:19:32 +0200

qgis (1.0preview2) experimental; urgency=low

  * added dxf2shp plugin
  * removed pggeoprocessing plugin

 -- Jürgen E. Fischer <jef@norbit.de>  Wed, 20 Aug 2008 08:47:29 +0200

qgis (1.0preview1) experimental; urgency=low

  * prepackaging of Quantum GIS 1.0
  * raised abi version from 0.11 to 1

 -- Jürgen E. Fischer <jef@norbit.de>  Sat, 19 Jul 2008 19:57:04 +0200

qgis (0.11.0-2) stable; urgency=low

  * remove libqgisgrass0.11 package by integrating it into qgis-plugin-grass
  * move libqgisgrass.so link from libqgis1-dev to qgis-plugin-grass
  * qgis recommends instead of just suggests the grass and python plugin

 -- Jürgen E. Fischer <jef@norbit.de>  Sat, 19 Jul 2008 11:38:49 +0200

qgis (0.11.0-1) stable; urgency=low

  * libqgispython0.11 integrated into python-qgis
  * introduced a build conflict with libqgis1-dev

 -- Jürgen E. Fischer <jef@norbit.de>  Wed, 16 Jul 2008 22:42:11 +0200

qgis (0.11.0) stable; urgency=low

  * New upstream release: Quantum GIS 0.11.0 'Metis'

 -- Jürgen E. Fischer <jef@norbit.de>  Tue, 15 Jul 2008 20:41:12 +0200

qgis (0.11.0test3) experimental; urgency=low

  * add memory provider

 -- Jürgen E. Fischer <jef@norbit.de>  Tue, 10 Jun 2008 15:32:42 +0200

qgis (0.11.0test2) experimental; urgency=low

  * removed 'upstream' changes from changelog 
  * policy update 3.7.2 to 3.7.3
  * python support: renamed qgis-python-plugin to python-qgis, moved to python
    section, added Python:Provides
  * replaced QGIS with Quantum GIS in descriptions
  * moved so symlinks to dev package

 -- Jürgen E. Fischer <jef@norbit.de>  Sun, 01 Jun 2008 13:45:39 +0200

qgis (0.11.0test1) experimental; urgency=low

  * prepackaging of Quantum GIS 0.11.0 'Mantis'
  * raised abi from 0.10 to 0.11
  * separate packages for python support
  * raised dependency from python-qt4* from 4.0.0 to 4.1.0
  * call cmake with -Wno-dev

 -- Jürgen E. Fischer <jef@norbit.de>  Thu, 29 May 2008 00:23:14 +0200

qgis (0.10.0-2) gutsy; urgency=low
  
  * fix libgdal1 grass dependency for ubuntu gutsy/hardy (1.4.0 | 1.5.0)

 -- Jürgen E. Fischer <jef@norbit.de>  Wed, 30 Apr 2008 22:35:42 +0200

qgis (0.10.0-1) gutsy; urgency=low
  
  * updated Maintainer field

