=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CMAKE_OPTS = \
	-Wno-dev \
	-D GRASS_PREFIX=/usr/lib/grass64 \
	-D CMAKE_INSTALL_PREFIX=/usr \
	-D CMAKE_SKIP_RPATH=TRUE \
	-D BINDINGS_GLOBAL_INSTALL=TRUE \
	-D PEDANTIC=TRUE \
	-D WITH_SPATIALITE=TRUE \
	-D WITH_INTERNAL_SPATIALITE=TRUE

LDFLAGS += -Wl,--as-needed -Wl,--no-undefined

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CMAKE_OPTS += -D CMAKE_BUILD_TYPE=Debug -D ENABLE_TESTS=TRUE
	CFLAGS += -DQGISDEBUG=1
	MAKEFLAGS += VERBOSE=YES
endif

ifneq (,$(findstring profile,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -pg
	CXXFLAGS += -pg
	LDFLAGS += -pg
endif

debian/build/CMakeCache.txt: CMakeLists.txt
	dh_testdir
	# Add here commands to configure the package.
	[ -d debian/build ] || mkdir debian/build
	[ ! -e CMakeCache.txt ] || rm CMakeCache.txt
	cd debian/build; cmake $(CMAKE_OPTS) ../..

build: build-stamp

build-stamp: debian/build/CMakeCache.txt
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) -C debian/build

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	rm -f i18n/*.qm
	rm -rf debian/tmp

	# Add here commands to clean up after the build process.
	rm -rf debian/build

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) -C debian/build install DESTDIR=$(CURDIR)/debian/tmp

	# Install menu pixmap
	install -o root -g root -d $(CURDIR)/debian/tmp/usr/share/pixmaps
	install -o root -g root -m 644 $(CURDIR)/images/icons/qgis-icon.png $(CURDIR)/debian/tmp/usr/share/pixmaps
	install -o root -g root -m 644 $(CURDIR)/images/icons/qgis-mime-icon.png $(CURDIR)/debian/tmp/usr/share/pixmaps
	install -o root -g root -m 644 $(CURDIR)/debian/qgis-icon.xpm $(CURDIR)/debian/tmp/usr/share/pixmaps

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=debian/tmp

	install -o root -g root -m 755 -d $(CURDIR)/debian/qgis/usr/bin
	install -o root -g root -m 755 $(CURDIR)/debian/tmp/usr/bin/qgis $(CURDIR)/debian/qgis/usr/bin

	install -o root -g root -m 755 -d $(CURDIR)/debian/qgis-plugin-grass/usr/bin
	install -o root -g root -m 755 $(CURDIR)/debian/qgis.sh $(CURDIR)/debian/qgis-plugin-grass/usr/bin/qgis
	
	dh_pycentral
	dh_installmenu
	dh_icons
	dh_desktop
	dh_installman -pqgis qgis.1
	dh_installman -pqgis qgis_help.1
	dh_installmime -pqgis
	dh_link
	if which dh_lintian >/dev/null; then dh_lintian; fi
	dh_strip
	dh_compress --exclude=pdf
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):/usr/lib/grass/lib:/usr/lib/grass64/lib dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
